<!-- <ion-content [fullscreen]="true"> -->
    <div id="container">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-md py-10 pb-20 px-3 md:px-0">
            <div  class="mt-10 mb-20">
                <!-- <div class="col-span-4 slogan-login self-center hidden lg:block">
                    <div>
                        Đổi mật khẩu
                    </div>
                    <div class="row border-bottom-slogan"></div>
                </div>
                <div class="col-span-4 slogan-login-md self-center hidden md:block lg:hidden">
                    <div>
                        Đổi mật khẩu
                    </div>
                    <div class="row border-bottom-slogan"></div>
                </div>
                <div class="col-span-12 slogan-login-sm block md:hidden">
                    <div class="flex justify-center">
                        Đổi mật khẩu
                    </div>
                    <div class="line flex justify-center">
                        <div class="spec border-t-1px-solid"></div>
                    </div>
                </div> -->
                <div class="md:col-span-6 col-span-12">
                    <div class="row-login md:px-5 px-5 pt-3 lg:pt-5">
                        <div class="col-span-12 md:col-start-2 md:col-end-12 px-0 md:px-0">
                            <form [formGroup]="changePasswordFormGroup" (ngSubmit)="changePass()">
                                <div class="text-danger" *ngIf="err">
                                    *Mật khẩu cũ sai
                                </div>
                                <div class="row-input-new-password">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Mật khẩu cũ</mat-label>
                                            <input matInput formControlName="password" type="password" class="focus:ring-0"
                                             placeholder="Mật khẩu cũ" required />
                                            <mat-error *ngIf="
                                                                changePasswordFormGroup.hasError(
                                                                    'required',
                                                                    'password'
                                                                )
                                                            ">
                                                            Mật khẩu cũ là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                changePasswordFormGroup.hasError(
                                                                    'minlength',
                                                                    'password'
                                                                )
                                                            ">
                                                            Mật khẩu cũ ít nhất 6 kí tự
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input-new-password">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Mật khẩu mới</mat-label>
                                            <input matInput formControlName="newPassword" type="password" class="focus:ring-0" placeholder="Mật khẩu mới" required />
                                            <mat-error *ngIf="
                                                                changePasswordFormGroup.hasError(
                                                                    'required',
                                                                    'newPassword'
                                                                )
                                                            ">
                                                            Mật khẩu mới là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                changePasswordFormGroup.hasError(
                                                                    'minlength',
                                                                    'newPassword'
                                                                )
                                                            ">
                                                            Mật khẩu mới có ít nhất 6 kí tự
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                !changePasswordFormGroup.hasError(
                                                                    'minlength',
                                                                    'newPassword'
                                                                ) &&
                                                                !changePasswordFormGroup.hasError(
                                                                    'required',
                                                                    'newPassword'
                                                                ) &&
                                                                !changePasswordFormGroup.valid
                                                            ">
                                                Không thể sử dụng mật khẩu cũ
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input-confirmed-password">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Xác nhận mật khẩu mới</mat-label>
                                            <input matInput formControlName="confirmNewPassword" type="password" class="focus:ring-0"
                                                placeholder="Xác nhận mật khẩu mới" required />
                                            <mat-error *ngIf="
                                                                changePasswordFormGroup.hasError(
                                                                    'required',
                                                                    'confirmNewPassword'
                                                                )
                                                            ">
                                                            Xác nhận mật khẩu mới là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                changePasswordFormGroup.hasError(
                                                                    'minlength',
                                                                    'confirmNewPassword'
                                                                )
                                                            ">
                                                            Xác nhận mật khẩu có ít nhất 6 kí tự
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                !changePasswordFormGroup.hasError(
                                                                    'minlength',
                                                                    'confirmNewPassword'
                                                                ) &&
                                                                !changePasswordFormGroup.hasError(
                                                                    'required',
                                                                    'confirmNewPassword'
                                                                ) &&
                                                                !changePasswordFormGroup.valid
                                                            ">
                                                Mật khẩu không trùng khớp
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <!-- <div class="w-full flex justify-center">
                                    <button class=" py-2 px-4 text-white bg-custom cursor-pointer w-1/2">
                                        Cập nhật
                                    </button>
                                </div> -->

                                <div class=" mb-5 md:mb-0">
                                    <div class="grid grid-cols-12 justify-center mt-5">
                                        <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-2 col-end-12 col-btn-fp px-2">
                                            <button class=" py-2 px-4 text-white bg-custom cursor-pointer w-full">
                                                Cập nhật
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>


        </div>
        <!-- <app-footer></app-footer>
        <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

<!-- </ion-content> -->